/* ###################################################################
 * Section common with Gnome Shell
 * ... contains a few cinnamon specific styles (rare occurences) 
 * ###################################################################*/
stage {
/*
	font-family: cantarell, sans-serif;
*/
	font-family: sans, sans-serif;
}
.cinnamon-link {
	color: #0000ff;
	text-decoration: underline;
}
.cinnamon-link:hover {
	color: #0000e0;
}
.label-shadow {
	color: rgba(0,0,0,0.5);
}
StScrollBar {
	padding: 0px;
}
StScrollView.vfade {
	-st-vfade-offset: 0px;
}
StScrollView StScrollBar {
	min-width: 10px;
	min-height: 10px;
}
StScrollBar StBin#trough {
	border: 1px solid rgb(235,235,235);
	border-radius: 6px;
}
StScrollBar StButton#vhandle,
StScrollBar StButton#hhandle {
	background-color: rgb(240,240,240);	
	border: 1px solid #bababa;
	border-radius: 6px;
	box-shadow: 1px 6px 9px rgb(100,100,100);
}
StScrollBar StButton#hhandle:hover,
StScrollBar StButton#vhandle:hover {
	background-gradient-direction: vertical;
	color: $item_active_fg$;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;	
	box-shadow: 1px 6px 9px rgb(100,100,100);
}
StTooltip StLabel {
	border: 1px solid rgb(170,170,170);
	border-radius: 4px;
	padding: 2px 12px;
	background-color: rgb(245,245,245);
	color: #2e2e2e;
	font-size: 8.5pt;
	font-weight: normal;
	text-align: center;
}
/* ===================================================================
 * Shared button properties 
 * ===================================================================*/
.notification-button, .notification-icon-button,
.hotplug-notification-item, .hotplug-resident-eject-button,
.modal-dialog-button {
	color: white;
	border: 1px #bababa;
	background-color: rgb(240,240,240);
	box-shadow: 4px 4px 9px rgb(100,100,100);
}
.notification-button:hover,
.notification-icon-button:hover, .hotplug-notification-item:hover,
.hotplug-resident-eject-button:hover, .modal-dialog-button:hover {
	background-gradient-direction: vertical;
	color: $item_active_fg$;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
}
.notification-button:focus,
.notification-icon-button:focus, .hotplug-notification-item:focus,
.modal-dialog-button:focus {
	border: 1px #bababa;
}
.notification-button:active, .notification-icon-button:active,
.hotplug-notification-item:active, .hotplug-resident-eject-button:active,
.modal-dialog-button:active, .modal-dialog-button:pressed {
	color: $item_active_fg$;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	box-shadow: 4px 4px 9px rgb(100,100,100);
}
/* ===================================================================
 * PopupMenu (popupMenu.js) 
 * ===================================================================*/

.popup-menu-boxpointer {
	-arrow-border-radius: 5px;
	-arrow-background-color: $menu_bg$;
	-arrow-border-width: 1px;
	-arrow-border-color: #bababa;
	-arrow-base: 24px;
	-arrow-rise: 11px;
	-boxpointer-gap: 2px;
}
.popup-menu {
	color: #2e2e2e;
	font-size: 8.5pt;
	min-width: 100px;
}
.popup-submenu-menu-item:open {
	background-color: $menu_bg$;
}
.popup-sub-menu {
	background-color: rgb(230,230,230);
	box-shadow: inset 2px 2px 6px rgb(100,100,100);
}
.popup-sub-menu .popup-menu-item:ltr {
	padding-right: 0em;
}
.popup-sub-menu .popup-menu-item:rtl {
	padding-left: 0em;
}
.popup-sub-menu StScrollBar {
	padding: 4px;
}
.popup-sub-menu StScrollBar StBin#trough {
	border-width: 0px;
}
.popup-sub-menu StScrollBar StBin#vhandle {
	background-color: #4c4c4c;
	border-width: 0px;
}
.popup-combo-menu {
	background-color: rgba(0,0,0,0.9);
	padding: 1em 0em;
	color: #ffffff;
	font-size: 10.5pt;
	border: 1px solid #5f5f5f;
	border-radius: 9px;
}
/* The remaining popup-menu sizing is all done in ems, so that if you
 * override .popup-menu.font-size, everything else will scale with it.
 */
.popup-menu-content {
	padding: 1em 0em;
}
.popup-menu-item {
	border: 1px transparent;
	padding: .35em 1.75em;
	spacing: 1em;
}
.popup-menu-item:active {
	color: $item_active_fg$;
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	border-radius: 2px;
/*
	box-shadow: outset 0px 3px 4px rgba(0,0,0,0.3);
*/
}
.popup-menu-item:insensitive {
	color: #9f9f9f;
}
.popup-image-menu-item {
}
.popup-combobox-item {
	spacing: 1em;
}
.popup-separator-menu-item {
	-gradient-height: 1px;
	-gradient-start: rgb(210,210,210);
	-gradient-end: rgb(210,210,210);
	-margin-horizontal: 1.5em;
	height: 1em;
}
.popup-alternating-menu-item:alternate {
	font-weight: bold;
}
.popup-slider-menu-item {
	height: 1em;
	min-width: 15em;
	-slider-background-color: #2e2e2e;
	-slider-border-color: #e6e6e6;
	-slider-box-shadow: 2px 2px 9px rgb(100,100,100);
	-slider-active-background-color: #fff;
	-slider-active-border-color: #2e2e2e;
	-slider-height: 0.1em;
	-slider-border-width: 1px;
	-slider-handle-radius: 0.5em;
}
.popup-device-menu-item {
	spacing: .5em;
}
.popup-inactive-menu-item {
	font-weight: normal;
	color: #999;
}
.popup-subtitle-menu-item {
	font-weight: bold;
}
.popup-menu-icon {
	icon-size: 1.14em;
}
/* Switches (to be used in menus) */
.toggle-switch {
	width: 65px;
	height: 22px;
}
.toggle-switch-us {
	background-image: url("toggle-off-us.svg");
}
.toggle-switch-us:checked {
	background-image: url("toggle-on-us.svg");
}
.toggle-switch-intl {
	background-image: url("toggle-off-intl.svg");
}
.toggle-switch-intl:checked {
	background-image: url("toggle-on-intl.svg");
}
.nm-menu-item-icons {
	spacing: .5em;
}
/* ===================================================================
 * Panel (panel.js)
 * ===================================================================*/
#panel {
	background-gradient-direction: vertical;
	background-gradient-start: rgb(255,255,255);
	background-gradient-end: rgb(230,230,230);
	box-shadow: outset 0px 0px 9px rgb(0,0,0);
	color: #2e2e2e;
	font-size: 8.5pt;
	font-weight: normal;
	height: 25px;
}
#panelLeft {
	spacing: 4px;
}
#panelCenter {
	spacing: 4px;
}
#panelLeft:dnd {
	background-color: rgb(100,100,100);
}
#panelCenter:dnd {
	background-color: rgb(150,150,150);
}
#panelRight:dnd {
	background-color: rgb(100,100,100);
}
#panelLeft:ltr {
	padding-right: 4px;
}
#panelLeft:rtl {
	padding-left: 4px;
}
#panelRight:ltr { 
	padding-left: 0px;
	spacing: 0px;
}
#panelRight:rtl {
	padding-right: 0px;
	spacing: 0px;
}
.panel-status-button {
	border: 1px transparent;
	-natural-hpadding: 2px;
	-minimum-hpadding: 2px;
	font-weight: bold;
	color: #2e2e2e;
	height: 22px;
}
.panel-status-button:hover {
	background-gradient-direction: vertical;
	color: $item_active_fg$;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	border-radius: 1px;
	transition-duration: 200;
}
.system-status-icon {
	padding-left: 0px;
	padding-right: 0px;
	spacing: 0px;
	margin: 0px;
}
.panel-corner {
	-panel-corner-radius: 0px;
	-panel-corner-background-color: black;
	-panel-corner-inner-border-width: 2px;
	-panel-corner-inner-border-color: transparent;
	-panel-corner-outer-border-width: 1px;
	-panel-corner-outer-border-color: #536272;
}
.panel-corner:active,
.panel-corner:overview,
.panel-corner:focus {
	-panel-corner-inner-border-color: rgba(255,255,255,0.8);
}
#appMenu {
	spacing: 4px;
}
.panel-button #appMenuIcon {
	app-icon-bottom-clip: 1px;
}
.panel-button:active #appMenuIcon,
.panel-button:checked #appMenuIcon,
.panel-button:focus #appMenuIcon {
	app-icon-bottom-clip: 2px;
}
.panel-button {
	-natural-hpadding: 6px;
	-minimum-hpadding: 2px;
	font-weight: bold;
	color: #2e2e2e;
	transition-duration: 100;
}
.panel-button:hover {
	color: #828282;
}
.panel-button:active,
.panel-button:overview,
.panel-button:focus {
}
.panel-button:active > .system-status-icon,
.panel-button:checked > .system-status-icon,
.panel-button:focus > .system-status-icon {
	icon-shadow: black 0px 2px 2px;
}
.panel-menu {
	-boxpointer-gap: 4px
}
.popup-menu-item-dot {
}
.system-status-icon {
	icon-size: 1.24em;
}
/* ===================================================================
 * Overview 
 * ===================================================================*/
#overview {
	spacing: 12px;
}
.window-caption {
	color: #2e2e2e;
	spacing: 25px;
}
.workspace-controls {
	visible-height: 32px; /* Amount visible before hovering */
}
.workspace-thumbnails-background {
	border: 1px solid rgba(128,128,128, 0.4);
	border-right: 0px;
	border-radius: 9px 9px 0px 0px;
	background-color: rgba(0, 0, 0, 0.5);
	padding: 8px;
}
.workspace-thumbnails-background:rtl {
	border-right: 1px;
	border-left: 0px;
	border-radius: 9px 9px 0px 0px;
}
.workspace-thumbnails {
	spacing: 14px;
}
.workspace-add-button {
	background-image: url("add-workspace.svg");
	background-color: rgb(255,255,255);
	border: 1px #bababa;
	border-radius: 5px 0px 0px 5px;
	height: 150px;
	width: 35px;
	transition-duration: 200;
}
.workspace-add-button:hover {
	background-image: url("add-workspace.svg");
	background-color: rgb(255,255,255);
	border: 1px #ababab;
	transition-duration: 200;
}

.workspace-close-button {
    background-image: url("close-window.svg");
    height: 34px;
    width: 34px;
    -cinnamon-close-overlap: 20px;
}

.workspace-thumbnail-indicator {
	outline: 2px solid white;
	border: 1px solid #888;
}
.window-caption {
	background: rgb(255,255,255);
	border: 1px #bababa;
	border-radius: 2px;
	box-shadow: 0px 0px 9px rgb(100,100,100);
	font-size: 9pt;
	padding: 2px 8px;
	-cinnamon-caption-spacing: 4px;
}
.window-close {
	background-image: url("close-window.svg");
	height: 34px;
	width: 34px;
	-cinnamon-close-overlap: 20px;
}
.window-close:rtl {
	-st-background-image-shadow: 2px 2px 6px rgba(0,0,0,0.5);
}

.window-close-area {
	background-color: rgba(60, 60, 60, 0.8);
	border: 4px solid rgba(128,128,128,0.8);
	border-bottom-width: 0px;
	border-radius: 20px 20px 0px 0px;
	height: 120px;
	width: 400px;
}

.icon-grid {
	spacing: 36px;
	-cinnamon-grid-item-size: 118px;
}
.icon-grid .overview-icon {
	icon-size: 96px;
}
.overview-icon {
	border-radius: 4px;
	padding: 3px;
	border: 1px rgba(0,0,0,0);
	font-size: 7.5pt;
	color: white;
	transition-duration: 100;
	text-align: center;
}

.expo-background {
	background-gradient-start: #000;
	background-gradient-end: #AAA;
	background-gradient-direction: vertical
}
/* ===================================================================
 * ViewSelector 
 * ===================================================================*/
#viewSelector {
	spacing: 1em;
	font-size: 12pt;
}
#viewSelectorTabBar {
	padding: 1em;
}
.view-tab-title {
	color: #888a85;
	font-weight: bold;
	padding: 0px 0.75em;
	height: 1.5em;
}
.view-tab-title:hover {
	color: #bbb;
}
.view-tab-title:selected {
	color: #000000;
	background-color: #c2c7cd;
	border-radius: 0.25em;
}
/* ===================================================================
 * Looking Glass 
 * ===================================================================*/
#LookingGlassDialog {
	background-color: rgba(255,255,255,0.8);
	spacing: 4px;
	padding: 4px;
	border: 1px #bababa;
	border-radius: 4px;
	color: #2e2e2e;
}
#LookingGlassDialog > #Toolbar {
	border: 1px #bababa;
	border-radius: 4px;
}
#LookingGlassDialog .labels {
	spacing: 4px;
}
#LookingGlassDialog .notebook-tab {
	padding: 2px;
}
#LookingGlassDialog .notebook-tab:hover {
	color: #2e2e2e;
}
#LookingGlassDialog .notebook-tab:selected {
	border: 1px #bababa;
	border-radius: 4px;
	padding: 5px;
}
#LookingGlassDialog .lg-inspector-title {
	font-weight: bold;
	padding-bottom: 8px;
}
.lg-dialog StLabel {
	color: #2e2e2e;
}
.lg-dialog StEntry {
	color: #2e2e2e;
	selected-color: #fff;
	selection-background-color: #2e2e2e;
}
.lg-obj-inspector-title {
	spacing: 4px;
}
.lg-obj-inspector-button {
	border: 1px #bababa;
	padding: 4px;
	border-radius: 4px;
}
.lg-obj-inspector-button:hover {
	border: 1px solid #ffffff;
}
.lg-dialog .cinnamon-link {
	color: #2e2e2e;
}
.lg-dialog .cinnamon-link:hover {
	color: #2e2e2e;
}
#LookingGlassDialog StBoxLayout#EvalBox {
	padding: 4px;
	spacing: 4px;
}
#LookingGlassDialog StBoxLayout#ResultsArea {
	spacing: 4px;
}
#lookingGlassExtensions {
	padding: 4px;
}
.lg-extension-list {
	padding: 4px;
	spacing: 6px;
}
.lg-extension {
	border: 1px #bababa;
	border-radius: 4px;
	padding: 4px;
}
.lg-extension-name {
	font-weight: bold;
}
.lg-extension-meta {
	spacing: 6px;
}
#LookingGlassPropertyInspector {
	background: rgba(0,0,0,0.9);
	border: 1px #bababa;
	border-radius: 4px;
	padding: 6px;
	color: #2e2e2e;
}
/* ===================================================================
 * Date applet 
 * ===================================================================*/
.calendar {
	padding: .4em 1.75em;
	spacing-rows: 0px;
	spacing-columns: 0px;
}
.calendar-month-label {
	color: #2e2e2e;
	font-size: 8pt;
	padding-bottom: 1px;
	padding-top: 4px;
	font-weight: bold;
}
.calendar-change-month-back {
	width: 18px;
	height: 12px;
	background-image: url("calendar-arrow-left.svg");
	border-radius: 4px;
	transition-duration: 100;
}
.calendar-change-month-back:rtl {
	background-image: url("calendar-arrow-right.svg");
}
.calendar-change-month-back:hover {
	background-image: url("calendar-arrow-left-hover.svg");
	transition-duration: 100;
}
.calendar-change-month-back:active {
}
.calendar-change-month-forward {
	width: 18px;
	height: 12px;
	background-image: url("calendar-arrow-right.svg");
	border-radius: 4px;
	transition-duration: 100;
}
.calendar-change-month-forward:rtl {
	background-image: url("calendar-arrow-left.svg");
}
.calendar-change-month-forward:hover {
	background-image: url("calendar-arrow-right-hover.svg");
	transition-duration: 100;
}
.calendar-change-month-forward:active {
}
.datemenu-date-label {
	padding: .4em 1.75em;
	font-size: 8pt;
	color: #2e2e2e;
	font-weight: bold;
}
.calendar-day-base {
	font-size: 7.5pt;
	text-align: center;
	width: 2.2em;
	height: 2.2em;
}
.calendar-day-base:active {
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	color: $item_active_fg$;
}
.calendar-day-heading {
	color: #2e2e2e;
	padding-top: 1em;
	font-size: 8pt;
	font-weight: bold;
}
.calendar-week-number {
	color: #2e2e2e;
	font-weight: bold;
}
/* Hack used in lieu of border-collapse - see calendar.js */
.calendar-day:ltr {
	border: 1px #bababa;
	border-top-width: 0;
	border-left-width: 0;
}
.calendar-day-top:ltr {
	border-top-width: 1px;
}
.calendar-day-left:ltr {
	border-left-width: 1px;
}
.calendar-day:rtl {
	border: 1px #bababa;
	border-top-width: 0;
	border-right-width: 0;
}
.calendar-day-top:rtl {
	border-top-width: 1px;
}
.calendar-day-left:rtl {
	border-right-width: 1px;
}
.calendar-work-day {
	background-color: rgb(250,250,250);
}
.calendar-nonwork-day {
	background-color: rgb(245,245,245);
}
.calendar-today {
	color: #2e2e2e;
	font-weight: bold;
}
.calendar-other-month-day {
	color: #575757;
	background-color: rgb(215,215,215);
}
.calendar-day-with-events {
	font-weight: bold;
	color: #2e2e2e;
}
/* ===================================================================
 * Notifications
 * ===================================================================*/
#notification {
	font-size: 8.5pt;
	border-radius: 3px;
	border: 1px #bababa;
	background-gradient-direction: vertical;
	background-gradient-start: $notification_bg_from$;
	background-gradient-end: $notification_bg_to$;
	box-shadow: 0px 0px 9px rgb(100,100,100);
	padding: 8px 8px 8px 8px;
	spacing-rows: 10px;
	spacing-columns: 10px;
	margin-from-right-edge-of-screen: 20px;
	margin-from-top-edge-of-screen: 30px;
	width: 34em;
	color: #2e2e2e;
}
#notification.multi-line-notification {
	padding-bottom: 8px;
	color: #2e2e2e;
}
/* We use row-span = 2 for the image cell, which prevents its height preferences to be
	taken into account during allocation, so its height ends up being limited by the height
	of the content in the other rows. To avoid showing a stretched image, we set the minimum
	height of the table to be ICON_SIZE + IMAGE_SIZE + spacing-rows = 24 + 125 + 10 = 159 */
.notification-with-image {
	min-height: 159px;
	color: #2e2e2e;
}
#notification-scrollview {
	max-height: 10em;
}
#notification-scrollview > .top-shadow, #notification-scrollview > .bottom-shadow {
	height: 1em;
}
#notification-scrollview:ltr > StScrollBar {
	padding-left: 6px;
}
#notification-scrollview:rtl > StScrollBar {
	padding-right: 6px;
}
#notification-body {
	spacing: 5px;
}
#notification-actions {
	spacing: 10px;
}
.notification-button {
	border-radius: 18px;
	font-size: 11pt;
	padding: 4px 42px 5px;
}
.notification-button:focus {
	padding: 3px 41px 4px;
}
.notification-icon-button {
	border-radius: 5px;
	padding: 5px;
}
.notification-icon-button:focus {
	padding: 4px;
}
.notification-icon-button > StIcon {
	icon-size: 36px;
}
/* ===================================================================
 * Alt Tab
 * ===================================================================*/
#altTabPopup {
	padding: 8px;
	spacing: 16px;
}
.switcher-list {
	background-gradient-direction: vertical;
	background-gradient-start: rgb(245,245,245);
	background-gradient-end: rgb(230,230,230);
	box-shadow: 0px 0px 9px rgb(100,100,100);
	border: 1px #bababa;
	border-radius: 4px;
	padding: 20px;
	font-size: 9pt;
	color: #2e2e2e;
}
.switcher-list-item-container {
	spacing: 8px;
}
.thumbnail-scroll-gradient-left {
	background-gradient-direction: horizontal;
	background-gradient-start: rgba(51,51,51,1.0);
	background-gradient-end: rgba(51,51,51,0);
	border-radius: 24px;
	border-radius-topright: 0px;
	border-radius-bottomright: 0px;
	width: 60px;
}
.thumbnail-scroll-gradient-right {
	background-gradient-direction: horizontal;
	background-gradient-start: rgba(51,51,51, 0);
	background-gradient-end: rgba(51,51,51,1.0);
	border-radius: 24px;
	border-radius-topleft: 0px;
	border-radius-bottomleft: 0px;
	width: 60px;
}
.switcher-list .item-box {
	padding: 8px;
	border: 1px transparent;
	border-radius: 8px;
	transition-duration: 200;
}
.switcher-list .item-box:outlined {
	padding: 6px;
	border: 2px solid rgba(85,85,85,1.0);
}
.switcher-list .item-box:selected {
	background-gradient-direction: vertical;
	color: $item_active_fg$;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	border-radius: 4px;
	box-shadow: outset 4px 4px 9px rgb(100,100,100);
}
.switcher-list .thumbnail-box {
	padding: 2px;
	spacing: 4px;
}
.switcher-list .thumbnail {
	width:	256px;
}
.switcher-list .separator {
	width: 1px;
	background: rgba(255,255,255,0.33);
}
.ripple-box {
	width: 52px;
	height: 52px;
	background-image: url("corner-ripple-ltr.png");
}
.ripple-box:rtl {
	background-image: url("corner-ripple-rtl.png");
}
.switcher-arrow {
	border-color: rgba(0,0,0,0);
	color: #808080;
}
.switcher-arrow:highlighted {
	border-color: rgba(0,0,0,0);
	color: white;
}
/* ===================================================================
 * Modal dialogs
 * ===================================================================*/
.modal-dialog {
	font-size: 10pt;
	border-radius: 4px;
	background-gradient-direction: vertical;
	background-gradient-start: $modal_dialog_bg_from$;
	background-gradient-end: $modal_dialog_bg_to$;
	border: 1px #bababa;
	box-shadow: 0px 0px 9px rgb(100,100,100);
	color: #2e2e2e;
	padding-right: 30px;
	padding-left: 30px;
	padding-bottom: 15px;
	padding-top: 15px;
}
.modal-dialog-button-box {
	spacing: 21px;
}
.modal-dialog-button {
	border-radius: 3px;
	font-size: 9pt;
	color: #2e2e2e;
	margin-left: 10px;
	margin-right: 10px;
	padding: 4px 32px 5px;
}
.modal-dialog-button:disabled {
	color: rgb(60,60,60);
}
.modal-dialog-button:focus {
	padding: 3px 31px 4px;
}
/* ===================================================================
 * Run dialog
 * ===================================================================*/
.run-dialog-label {
	color: #2e2e2e;
	font-size: 9pt;
	font-weight: bold;
	padding-bottom: 4px;
}
.run-dialog-error-label {
	font-size: 9pt;
	color: #2e2e2e;
}
.run-dialog-error-box {
	padding-top: 15px;
	spacing: 5px;	
}
.run-dialog-entry {	
	background-color: rgb(240,240,240);
	border: 1px #bababa;
	border-radius: 3px;
	box-shadow: outset 4px 4px 9px rgb(100,100,100);
	color: #2e2e2e;
	font-size: 10pt;
	padding-top: 5px;
	selected-color: #fff;
	selection-background-color: #2e2e2e;
	width: 18em;	
}
.run-dialog {
	background-gradient-direction: vertical;
	background-gradient-start: $run_dialog_bg_from$;
	background-gradient-end: $run_dialog_bg_to$;
	border-radius: 3px;
	padding-right: 21px;
	padding-left: 21px;
	padding-bottom: 15px;
	padding-top: 15px;
}
.lightbox {
	background-color: rgba(0,0,0,0.4);
}
/* ===================================================================
 * End session dialog
 * ===================================================================*/
.end-session-dialog {
	spacing: 42px;
}
.end-session-dialog-subject {
	font-size: 12pt;
	font-weight: bold;
	color: #666666;
	padding-top: 10px;
	padding-left: 17px;
	padding-bottom: 30px;
}
.end-session-dialog-subject:rtl {
	padding-left: 0px;
	padding-right: 17px;
}
.end-session-dialog-description {
	font-size: 10pt;
	color: white;
	padding-left: 17px;
	width: 28em;
}
.end-session-dialog-description:rtl {
	padding-right: 17px;
}
.end-session-dialog-logout-icon {
	border: 2px solid #8b8b8b;
	border-radius: 5px;
	width: 32px;
	height: 32px;
}
.end-session-dialog-shutdown-icon {
	width: 32px;
	height: 32px;
}
.end-session-dialog-app-list {
	font-size: 10pt;
	max-height: 200px;
	padding-top: 42px;
	padding-left: 49px;
	padding-right: 32px;
}
.end-session-dialog-app-list:rtl {
	padding-right: 49px;
	padding-left: 32px;
}
.end-session-dialog-app-list-item {
	color: #ccc;
}
.end-session-dialog-app-list-item:hover {
	color: white;
}
.end-session-dialog-app-list-item:ltr {
	padding-right: 1em;
}
.end-session-dialog-app-list-item:rtl {
	padding-left: 1em;
}
.end-session-dialog-app-list-item-icon:ltr {
	padding-right: 17px;
}
.end-session-dialog-app-list-item-icon:rtl {
	padding-left: 17px;
}
.end-session-dialog-app-list-item-name {
	font-size: 10pt;
}
.end-session-dialog-app-list-item-description {
	font-size: 8pt;
	color: #444444;
}
/* CinnamonMountOperation Dialogs */
.cinnamon-mount-operation-icon {
	icon-size: 48px;
}
.mount-password-reask {
	color: red;
}
.show-processes-dialog,
.mount-question-dialog {
	spacing: 24px;
}
.show-processes-dialog-subject,
.mount-question-dialog-subject {
	font-size: 12pt;
	font-weight: bold;
	color: #666666;
	padding-top: 10px;
	padding-left: 17px;
	padding-bottom: 6px;
}
.show-processes-dialog-subject:rtl,
.mount-question-dialog-subject:rtl {
	padding-left: 0px;
	padding-right: 17px;
}
.show-processes-dialog-description,
.mount-question-dialog-description {
	font-size: 10pt;
	color: white;
	padding-left: 17px;
	width: 28em;
}
.show-processes-dialog-description:rtl,
.mount-question-dialog-description:rtl {
	padding-right: 17px;
}
.show-processes-dialog-app-list {
	font-size: 10pt;
	max-height: 200px;
	padding-top: 24px;
	padding-left: 49px;
	padding-right: 32px;
}
.show-processes-dialog-app-list:rtl {
	padding-right: 49px;
	padding-left: 32px;
}
.show-processes-dialog-app-list-item {
	color: #ccc;
}
.show-processes-dialog-app-list-item:hover {
	color: white;
}
.show-processes-dialog-app-list-item:ltr {
	padding-right: 1em;
}
.show-processes-dialog-app-list-item:rtl {
	padding-left: 1em;
}
.show-processes-dialog-app-list-item-icon:ltr {
	padding-right: 17px;
}
.show-processes-dialog-app-list-item-icon:rtl {
	padding-left: 17px;
}
.show-processes-dialog-app-list-item-name {
	font-size: 10pt;
}
/* ===================================================================
 * Policykit authentication dialog
 * ===================================================================*/
.polkit-dialog {
	/* this is the width of the entire modal popup */
	width: 500px;
}
.polkit-dialog-main-layout {
	spacing: 24px;
	padding: 10px;
}
.polkit-dialog-message-layout {
	spacing: 16px;
}
.polkit-dialog-headline {
	font-size: 12pt;
	font-weight: bold;
	color: #666666;
}
.polkit-dialog-description {
	font-size: 10pt;
	color: white;
}
.polkit-dialog-user-layout {
	padding-left: 10px;
	spacing: 10px;
}
.polkit-dialog-user-layout:rtl {
	padding-left: 0px;
	padding-right: 10px;
}
.polkit-dialog-user-root-label {
	color: #ff0000;
}
.polkit-dialog-password-label:ltr {
	padding-right: 0.5em;
}
.polkit-dialog-password-label:rtl {
	padding-left: 0.5em;
}
.polkit-dialog-password-entry {
	background-gradient-start: rgb(236,236,236);
	background-gradient-end: white;
	background-gradient-direction: vertical;
	color: black;
	border-radius: 5px;
	border: 2px solid #555753;
}
.polkit-dialog-password-entry:focus {
	border: 2px solid #3465a4;
}
.polkit-dialog-password-entry .capslock-warning {
	icon-size: 16px;
	warning-color: #999;
	padding: 0 4px;
}
.polkit-dialog-error-label {
	font-size: 10pt;
	color: #ffff00;
	padding-bottom: 8px;
}
.polkit-dialog-info-label {
	font-size: 10pt;
	padding-bottom: 8px;
}
/* intentionally left transparent to avoid dialog changing size */
.polkit-dialog-null-label {
	font-size: 10pt;
	color: rgba(0,0,0,0);
	padding-bottom: 8px;
}
.network-dialog-secret-table {
	spacing-rows: 15px;
}
/* ===================================================================
 * Magnifier
 * ===================================================================*/

.magnifier-zoom-region {
	border: 2px solid #bababa;
}
.magnifier-zoom-region.full-screen {
	border-width: 0px;
}
/* ===================================================================
 * On screen keyboard
 * ===================================================================*/

#keyboard {
	background: rgba(255,255,255,0.6);
}
.keyboard-layout {
	spacing: 10px;
	padding: 10px;
}
.keyboard-row {
	spacing: 15px;
}
.keyboard-key {
	min-height: 30px;
	min-width: 30px;
	background-color: rgb(240,240,240);
	border: 1px #bababa;
	border-radius: 2px;
	box-shadow: outset 4px 4px 9px rgb(100,100,100);
	color: #2e2e2e;
	font-size: 14pt;
	font-weight: bold;
	border-radius: 5px;
	transition-duration: 100;
}
.keyboard-key:grayed {
	color: #808080;
	border-color: #808080;
}
.keyboard-key:checked,
.keyboard-key:hover {
	background-gradient-direction: vertical;
	color: $item_active_fg$;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	transition-duration: 200;
}
.keyboard-key:active {
	background-gradient-direction: vertical;
	background-gradient-start: #ACC98F;
	background-gradient-end: #91BA68;
	border: 1px #bababa;
	transition-duration: 50;
}
.keyboard-subkeys {
	color: white;
	padding: 5px;
	-arrow-border-radius: 10px;
	-arrow-background-color: #090909;
	-arrow-border-width: 2px;
	-arrow-border-color: white;
	-arrow-base: 20px;
	-arrow-rise: 10px;
	-boxpointer-gap: 5px;
}
/* ###################################################################
 * Cinnamon Specific Section 
 * ###################################################################*/
/* ===================================================================
 * Menu (menu.js)
 * ===================================================================*/
/* Main menu title */

.menu-favorites-box {
	width: 70%;
	margin: auto;
	padding: 0px;
	border: 1px #bababa;
	border-radius: 3px;
	background-color: rgb(240,240,240);
	box-shadow: 4px 4px 9px rgb(100,100,100);
	transition-duration: 50;
}
.menu-favorites-button {
	border: 1px transparent;	
	padding-top: 10px;
	padding-left: 10px;
	padding-right: 10px;
	padding-bottom: 10px;
}
.menu-favorites-button:hover {
	color: $item_active_fg$;
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	border-radius: 3px;
	box-shadow: 4px 4px 9px rgb(100,100,100);
	transition-duration: 50;
}
.menu-places-box {
	width: 70%;
	margin: auto;
	padding: 10px;
	border: 0px solid #666;
}
.menu-places-button {
	padding-top: 10px;
	padding-left: 10px;
	padding-right: 10px;
	padding-bottom: 10px;
}
.menu-categories-box {
	color: #2e2e2e;
	padding-top: 10px;
	padding-left: 30px;
	padding-right: 30px;
	padding-bottom: 10px;
}
.menu-applications-box {
	padding-top: 10px;
	padding-left: 10px;
	padding-right: 10px;
	padding-bottom: 0px;
}
.menu-application-button {
	padding-top: 7px;
	padding-left: 7px;
	padding-right: 7px;
	padding-bottom: 7px;
	border: 1px transparent;
}
.menu-application-button:hover,
.menu-application-button-selected {
	padding-top: 7px;
	padding-left: 7px;
	padding-right: 7px;
	padding-bottom: 7px;
	color: $item_active_fg$;
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	border-radius: 2px;
/*
	box-shadow: outset 0px 3px 4px rgba(0,0,0,0.3);
*/
}
.menu-application-button-label:ltr { 
	padding-left: 5px	
}
.menu-application-button-label:rtl { 
	padding-right: 5px
}
.menu-category-button {
	border: 1px transparent;
	padding-top: 3px;
	padding-left: 6px;
	padding-right: 6px;
	padding-bottom: 3px;
}
.menu-category-button-greyed {
	border: 1px transparent;
	padding-top: 3px;
	padding-left: 6px;
	padding-right: 6px;
	padding-bottom: 3px;
	color: #9C9C9C;
	font-style: italic;
}
.menu-category-button-selected {
	padding-top: 3px;
	padding-left: 6px;
	padding-right: 6px;
	padding-bottom: 3px;
	color: $item_active_fg$;
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
/*
	box-shadow: outset 4px 4px 9px rgb(100,100,100);
*/
	border-radius: 3px;
	transition-duration: 50;
}
.menu-category-button-label:ltr { 
	padding-left: 5px		
}
.menu-category-button-label:rtl { 
	padding-right: 5px		
}
.menu-category-button-button:hover {
	background-color: #141414;
	border-radius: 8px;
}
/* Name and description of the currently hovered item in the menu
 * This appears on the bottom right hand corner of the menu*/
.menu-selected-app-box {
	color: #2e2e2e;
	padding-right: 30px;
	padding-left: 28px;
	text-align: right;
}
.menu-selected-app-box:rtl {
	padding-top: 10px;
	height: 30px;
}
.menu-selected-app-title {
	color: #2e2e2e;	
	font-weight: bold;
}
.menu-selected-app-description {
	max-width: 150px;
}
.menu-search-box:ltr {
	padding-left: 30px;
}
.menu-search-box:rtl {
	padding-right: 30px;
}
#menu-search-entry {
	box-shadow: 4px 4px 9px rgb(100,100,100);
	padding: 5px;
	border-radius: 3px;
	selected-color: #fff;
	selection-background-color: #2e2e2e;
	caret-color: rgb(170, 170, 170);
	caret-size: 1px;
	width: 290px;
	height: 15px;
	transition-duration: 50;
}
#menu-search-entry:focus,
#menu-search-entry:hover {
	border: 1px #bababa;
	background-color: rgb(240,240,240);
}
#menu-search-entry:hover {
	transition-duration: 50;
}
#menu-search-entry:focus {
	color: rgb(64, 64, 64);
	font-weight: bold;
	transition-duration: 0;
}
.menu-search-entry-icon {
	icon-size: 1em;
	color: #2e2e2e;
}
/* Context menu (at the moment only for favorites) */
.menu-context-menu {
}
/* ===================================================================
 * Window list (windowList.js)
 * ===================================================================*/
.window-list-box {
	spacing: 3px;
	padding-left: 0px;
	padding-top: 0px;
}
.window-list-item-label {
	font-weight: normal;
	width: 15em;
	min-width: 5px;
}
.window-list-item-box {
	background-color: rgb(230,230,230);
	border: 1px #bababa;
	border-radius: 1px;
	color: #2e2e2e;
	padding-right: 0.5px;
	padding-left: 0.5px;
	transition-duration: 200;
}
.window-list-item-box:active,
.window-list-item-box:checked,
.window-list-item-box:focus	{ 
	background-gradient-direction: vertical;
	background-gradient-start: $window_list_item_active_bg_from$;
	background-gradient-end: $window_list_item_active_bg_to$;
	border: 1px #bababa;
	border-radius: 1px;
	color: $window_list_item_active_fg$;
	transition-duration: 200;
}
.window-list-item-box:hover	{ 
	background-gradient-direction: vertical;
	background-gradient-start: $window_list_item_hover_bg_from$;
	background-gradient-end: $window_list_item_hover_bg_to$;
	border: 1px #bababa;
	border-radius: 1px;
	color: $window_list_item_hover_fg$;
	transition-duration: 200;
}
.window-list-item-demands-attention {
	background-gradient-direction: vertical;
	background-gradient-start: $window_list_item_demands_attention_bg_from$;
	background-gradient-end: $window_list_item_demands_attention_bg_to$;
}
/* ===================================================================
 * Sound Applet (status/volume.js)
 * ===================================================================*/
.sound-button-container {
	padding-right: 5px;
}
.sound-button {
	width: 22px;
	height: 13px;
	background-color: rgb(240,240,240);
	border: 1px #bababa;
	border-radius: 3px;
	box-shadow: outset 4px 4px 9px rgb(100,100,100);
	color: #2e2e2e;
	padding: 7px;
	transition-druation: 200;
}
.sound-button:hover {
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	color: $item_active_fg$;
	border: 1px #bababa;
	transition-duration: 200;
}
.sound-button:active {
	background-gradient-direction: vertical;
	background-gradient-start: #ACC98F;
	background-gradient-end: #91BA68;
	border: 1px #bababa;
	transition-duration: 50;
}
.sound-button StIcon {
	icon-size: 1.5em;
}
.sound-track-infos {
	padding-left: 10px;
	color: #2e2e2e;
}
.sound-track-info {
	padding-bottom: 4px;
}
.sound-track-info StIcon {
	icon-size: 1.3em;
}
.sound-track-info StLabel {
	padding-left: 5px;
}
.sound-track-box {
	padding-top: 20px;
	padding-left: 30px;
	padding-right: 30px;
	padding-bottom: 10px;
}
.sound-volume-menu-item {
	padding: .4em 1.75em;
}
.sound-volume-menu-item StIcon {
	color: #2e2e2e;
	icon-size: 1.14em;
	padding-left: 8px;
}
.sound-playback-control {
	padding-top: 5px;
	padding-bottom: 10px;
}
/* ===================================================================
 * Workspace Switcher applet (workspaceSwitcher.js)
 * ===================================================================*/
#workspaceSwitcher {
	spacing: 0px;
	padding: 3px;
}
.workspace-button {
	width: 20px;
	height: 10px;
	color: #2e2e2e;
	border: 1px #bababa;
	border-radius: 1px;
	padding: 2px;
	transition-duration: 100;
}
.workspace-button:hover {
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	color: $item_active_fg$;
}
.workspace-button:outlined {
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: 1px #bababa;
	color: $item_active_fg$;
}
/* ===================================================================
 * Panel Launchers Applet (panelLaunchers.js)
 * ===================================================================*/
#panel-launchers-box {
	padding-left: 0px;
}
.panel-launcher {
	border: 1px transparent;	
	transition-duration: 200;
	icon-size: 10em;
	padding-left: 1px;
	padding-right: 1px;
}
.panel-launcher:hover {
	background-gradient-direction: vertical;
	color: $item_active_fg$;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	border: solid 1px #bababa;
	border-radius: 2px;
	transition-duration: 200;
}
.panel-launcher-add-dialog-content-box {
	padding: 6px;
	spacing: 20px;
}
.panel-launcher-add-dialog-content-box-left {
	padding: 6px;
	spacing: 20px;
}
.panel-launcher-add-dialog-content-box-right {
	padding: 6px;
	spacing: 10px;
}
.panel-launcher-add-dialog-entry {
	padding: 5px;
	border-radius: 4px;
	color: rgb(128, 128, 128);
	border: 2px solid rgba(245,245,245,0.2);
	background-gradient-start: rgba(5,5,6,0.1);
	background-gradient-end: rgba(254,254,254,0.1);
	background-gradient-direction: vertical;
	selected-color: black;
	caret-color: rgb(128, 128, 128);
	caret-size: 1px;
	width: 250px;
	transition-duration: 300;
	box-shadow: inset 0px 2px 4px rgba(0,0,0,0.6);
}
.panel-launcher-add-dialog-entry:focus,
.panel-launcher-add-dialog-entry:hover {
	border: 2px solid rgb(136,138,133);
	background-gradient-start: rgb(200,200,200);
	background-gradient-end: white;
	background-gradient-direction: vertical;
}
.panel-launcher-add-dialog-entry:hover {
	transition-duration: 300;
}
.panel-launcher-add-dialog-entry:focus {
	color: rgb(64, 64, 64);
	font-weight: bold;
	transition-duration: 0;
}
/* ===================================================================
 * Overview corner
 * ===================================================================*/
#overview-corner {
	background-image: url("overview.png");
}
#overview-corner:hover {
	background-image: url("overview-hover.png");
}
/* ===================================================================
 * Applets (applet.js) 
 * ===================================================================*/
.applet-box {
	padding-left: 2px;
	padding-right: 2px;	
	color: #2e2e2e;
	transition-duration: 200;
	min-width: 1em;
	border: 1px transparent;
}
.applet-box:hover {
	background-gradient-direction: vertical;
	background-gradient-start: $item_active_bg_from$;
	background-gradient-end: $item_active_bg_to$;
	color: $item_active_fg$;
	border: 1px #bababa;
	border-radius: 1px;
	color: #2e2e2e;
	transition-duration: 200;
}
.applet-label {	
	font-weight: bold;
	color: #2e2e2e;		
}
.applet-label:hover,
.applet-box:hover > .applet-label {
}
.applet-icon {
	color: #2e2e2e;
}
.applet-icon:hover,
.applet-box:hover > .applet-icon {
	color: #2e2e2e;
}
